options:
  dot: true
jasmine:
  files:
    - 'tasks/**/*.js'
    - 'spec/**/*.js'
  tasks:
    - jasmine
yaml:
  files:
    - '**/*.yaml'
    - '**/*.yml'
    - '!node_modules/**/*'
    - '!tmp/**/*'
  tasks:
    - yamllint
coffee:
  files:
    - '**/*.coffee'
    - '!node_modules/**/*'
  tasks:
    - coffeelint
js:
  files:
    - '**/*.js'
    - '!node_modules/**/*'
    - '!tmp/**/*'
    - '!docs/*/_build/**/*'
  tasks:
    - eslint
json:
  files:
    - '**/*.json'
    - '!node_modules/**/*'
    - '!converge/**/*'
    - '!tmp/**/*'
    - '!docs/*/_build/**/*'
  tasks:
    - jsonlint
markdown:
  files:
    - '**/*.md'
    - '!**/CHANGELOG.md'
    - '!ansible/dependencies/**/*.md'
    - '!node_modules/**/*'
    - '!tmp/**/*'
  tasks:
    - markdownlint
